List all workflows in the environment
GET
/v1/workflows
const url = 'https://your-notavia-host/v1/workflows';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-notavia-host/v1/workflows \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Workflow list returned.
Media type application/json
object
data
Array<object>
object
id
required
string format: uuid
key
required
string
name
required
string
status
required
string
active_version
integer
trigger_count_7d
required
integer format: int64
created_at
required
string format: date-time
Example
{ "data": [ { "status": "draft" } ]}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}